
Foreman - Feature #3976

Need Read-Only user Role pre-defined and available post installation

01/08/2014 11:47 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Security   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1649

  

Description

A common use case is to grant users 'read-only' roles so they can login, monitor, view and audit configuration and runtime data.

Katello shipped with this pre-defined role available post installation.

We lost this when we moved to Foreman as the core engine and need this added along with the new permission system in Foreman.

Related issues:

Related to Foreman - Bug #7213: Tests are failing for plug-in due to permissi... Closed 08/21/2014

Associated revisions

Revision 7cb41918 - 08/15/2014 09:51 AM - Daniel Lobato Garcia

Fixes #3976 - Add all view_ permissions to viewer user role

This PR tests that there is a match between foreman access control and

permissions seeded by the db script. It also checks all seeded view_

permissions are part of the viewer role.

History

#1 - 03/03/2014 01:24 PM - Anonymous

- Target version set to 1.9.0

#2 - 03/26/2014 01:15 PM - Dominic Cleal

- Assignee deleted (Marek Hulán)

#3 - 03/26/2014 01:27 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#4 - 04/24/2014 12:13 PM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#5 - 05/14/2014 06:29 AM - Lukas Zapletal

But isn't the "Viewer" role the case?

#6 - 05/14/2014 08:28 AM - Dominic Cleal

Lukas Zapletal wrote:

But isn't the "Viewer" role the case?

 Indeed, I think it is.  I looked briefly at it and found it was missing quite a few view_* permissions, so all we probably need to do is update it.  I'd even

be inclined to add a test to check it has all view_* permissions so we don't let it get out of sync again.
#7 - 05/19/2014 12:49 PM - Anonymous

- Target version deleted (1.8.3)

#8 - 07/30/2014 09:10 AM - Ohad Levy

- translation missing: en.field_release set to 10

#9 - 07/30/2014 09:11 AM - Ohad Levy

- Target version set to 1.7.5

#10 - 08/04/2014 06:56 AM - Dominic Cleal

- translation missing: en.field_release deleted (10)

#11 - 08/04/2014 08:03 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Daniel Lobato Garcia

#12 - 08/04/2014 12:59 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1649 added

- Pull request deleted ()

#13 - 08/15/2014 09:52 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#14 - 08/15/2014 11:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7cb41918dff897ec800c9e0adab65f0595d9857c.

#15 - 08/21/2014 01:40 PM - Stephen Benjamin

- Related to Bug #7213: Tests are failing for plug-in due to permissions being created outside of seeds added
